#
# spec file for package rubygems
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           rubygems19
Version:        1.7.2
Release:        1.1
#
License:        Other uncritical OpenSource License
Group:          Development/Languages/Ruby
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby19-devel
Requires:       ruby19-devel
Provides:       rubygems_with_buildroot_patch
Provides:       rubygems_external
Conflicts:      rubygems_builtin
#
Url:            http://rubyforge.org/projects/rubygems/
Source:         rubygems-%{version}.tgz
Source1:        gem_build_cleanup
Source2:        rubygems-rpmlintrc
Source3:        rubygems.macros
Source4:	builtin_rubygem_defaults.rb
Patch:          rubygems-1.5.0_buildroot.patch
Summary:        The Ruby standard for publishing and managing third party libraries

%description
RubyGems is the Ruby standard for publishing and managing third party
libraries.



Authors:
--------	
    Rich Kilmer <rich@infoether.com>
    Chad Fowler <chad@chadfowler.com>
    David Black <dblack@wobblini.net>
    Paul Brannan <paul@atdesk.com>
    Jim Weirich <jim@weirichhouse.org>
    Gavin Sinclair <gsinclair@soyabean.com.au>
    George Marrows <george.marrows@ntlworld.com>
    Dick Davies <rasputnik@hellooperator.net>
    Mauricio Fernandez <batsman.geo@yahoo.com>
    Simon Strandgaard <neoneye@adslhome.dk>
    Dave Glasser <glasser@mit.edu>
    Paul Duncan <pabs@pablotron.org>
    Ville Aine <vaine@cs.helsinki.fi>
    Ryan Davis
    Eric Hodel <drbrain@segment7.net>

%prep
%setup -n rubygems-%{version}
%patch

%build

%install
GEM_HOME=%{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/ \
    ruby1.9 -rvendor-specific setup.rb --destdir=%{buildroot}
%{__install} -D -m 0755 %{S:1} %{buildroot}%{_bindir}/gem_build_cleanup%{rb_binary_prefix}
%{__install} -D -m 0644 %{S:3} %{buildroot}/etc/rpm/macros.rubygems
%{__mkdir_p} %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/cache/
%{__mkdir_p} %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/doc/
%{__mkdir_p} %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/gems/
%{__mkdir_p} %{buildroot}%{_libdir}/ruby/gems/%{rb_ver}/specifications/

for i in $(grep -l '#!/usr/bin/ruby' %{buildroot}%{_bindir}/*) ; do
  perl -p -i -e 's|#!/usr/bin/ruby|#!/usr/bin/ruby%{rb_binary_prefix}|' $i ;
done

# vendor rubygems go here
%{__install} -D -m 0644 %{S:4}    %{buildroot}%{_libdir}/ruby/vendor_ruby/%{rb_ver}/rubygems/defaults.rb
%{__mkdir_p} %{buildroot}%{_libdir}/ruby/vendor_gems/%{rb_ver}
%{__mkdir_p} %{buildroot}%{_libdir}/ruby/vendor_gems/%{rb_ver}/cache
%{__mkdir_p} %{buildroot}%{_libdir}/ruby/vendor_gems/%{rb_ver}/doc
%{__mkdir_p} %{buildroot}%{_libdir}/ruby/vendor_gems/%{rb_ver}/gems
%{__mkdir_p} %{buildroot}%{_libdir}/ruby/vendor_gems/%{rb_ver}/specifications


%clean
%{__rm} -rf %{buildroot};

%files
%defattr(-,root,root)
%config(noreplace) /etc/rpm/macros.rubygems
%doc GPL.txt LICENSE.txt README.rdoc History.txt
%doc test/ pkgs/
%{_bindir}/gem_build_cleanup%{rb_binary_prefix}
%{_bindir}/gem
%dir %{_libdir}/ruby/vendor_ruby/%{rb_ver}/rbconfig/
%{_libdir}/ruby/vendor_ruby/%{rb_ver}/rbconfig/datadir.rb
%{_libdir}/ruby/vendor_ruby/%{rb_ver}/*ubygems.rb
%{_libdir}/ruby/vendor_ruby/%{rb_ver}/rubygems/
%dir %{_libdir}/ruby/gems/
%dir %{_libdir}/ruby/gems/%{rb_ver}
%dir %{_libdir}/ruby/gems/%{rb_ver}/cache/
%dir %{_libdir}/ruby/gems/%{rb_ver}/doc/
%dir %{_libdir}/ruby/gems/%{rb_ver}/gems/
%dir %{_libdir}/ruby/gems/%{rb_ver}/specifications/
%{_libdir}/ruby/vendor_ruby/%{rb_ver}/rubygems/defaults.rb
%dir %{_libdir}/ruby/vendor_gems/%{rb_ver}
%dir %{_libdir}/ruby/vendor_gems/%{rb_ver}/cache
%dir %{_libdir}/ruby/vendor_gems/%{rb_ver}/doc
%dir %{_libdir}/ruby/vendor_gems/%{rb_ver}/gems
%dir %{_libdir}/ruby/vendor_gems/%{rb_ver}/specifications
#%{_libdir}/ruby/gems/%{rb_ver}/doc/rubygems-%{version}

%changelog
